summaryrefslogtreecommitdiff
path: root/dev-go/gopls
diff options
context:
space:
mode:
Diffstat (limited to 'dev-go/gopls')
-rw-r--r--dev-go/gopls/Manifest2
-rw-r--r--dev-go/gopls/gopls-0.16.2.ebuild33
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-go/gopls/Manifest b/dev-go/gopls/Manifest
new file mode 100644
index 0000000..b8725ba
--- /dev/null
+++ b/dev-go/gopls/Manifest
@@ -0,0 +1,2 @@
+DIST gopls-0.16.2-vendor.tar.xz 1824104 BLAKE2B 5ea3d7ac9aac02c3dcf9f411a2366326d9d35d5673a50f022e50636e9143afb5b9ba3436cff2e3604c329f870cb2d9605b451f6f29205ff79e7ffe86e615681d SHA512 946abb340ed442b87ba5e878c82af9773a4cc01314d743bb74c459330340357a3f69c45ecfb8cf529260d5982f306371644dbe8899f7839a2b1813e3955ae467
+DIST gopls-0.16.2.tar.gz 3875318 BLAKE2B b9dff484256368d8b317f6b6e3e6db54b04f14c26b1663d990fec6688a9c9ce4d1f4e6ca075e318630728bfe8cfe886250ef1f57bfe6d50319305cef6dd753b7 SHA512 cdd712a4e316b3f629ceff1a3742da2cf30b94acc45af484addb6ae7cbf0b9272dbbee8ebc252744dd4df38852760ec3fce4b48fecee1a7a751c37d7edcb0424
diff --git a/dev-go/gopls/gopls-0.16.2.ebuild b/dev-go/gopls/gopls-0.16.2.ebuild
new file mode 100644
index 0000000..a309901
--- /dev/null
+++ b/dev-go/gopls/gopls-0.16.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="\"Go please\" is the official Go language server"
+HOMEPAGE="https://github.com/golang/tools/blob/master/gopls/README.md"
+SRC_URI="https://github.com/golang/tools/archive/refs/tags/gopls/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz "
+S=${WORKDIR}/tools-gopls-v${PV}/${PN}
+
+LICENSE="BSD"
+LICENSE+=" MIT"
+BDEPEND=">=dev-lang/go-1.19"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# TODO: fix test failure with deps tarball
+RESTRICT+=" test"
+
+src_compile() {
+ ego build -trimpath -ldflags "-X main.version=${PV}" .
+}
+
+src_test() {
+ go test -work "./..." || die
+}
+
+src_install() {
+ dobin gopls
+ dodoc -r doc README.md
+}